Package skyview.data

# Class Gridder

java.lang.Object
skyview.data.Gridder

public class Gridder extends Object
This class is used to find the lines and text to draw coordinate grid overlays. in a Graphics context. This actually drawing is done elsewhere.

## Constructor Summary

Constructors
Constructor
Description
`Gridder(Image image, boolean sexagesimal)`
Create a new Gridder object.
`Gridder(Image image, String system)`
Create a new Gridder object.

## Method Summary

Modifier and Type
Method
Description
`void`
`dumpLines()`
Display the lines
`String[]`
`getLabels()`
Get the labels for the lines
`double[][][]`
`getLines()`
Get the line points
`double`
`getScale()`
`void`
`grid()`
`void`
`setImage(Image image)`
Change the image
`void`
`setSexigesimal(boolean flag)`
Set whether you want sexagesimal labels

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Gridder

public Gridder(Image image, String system)
Create a new Gridder object.

### Gridder

public Gridder(Image image, boolean sexagesimal)
Create a new Gridder object.

## Method Details

### getScale

public double getScale()

### grid

public void grid() throws TransformationException

Throws:
  `TransformationException`

### setImage

public void setImage(Image image)
Change the image

### setSexigesimal

public void setSexigesimal(boolean flag)
Set whether you want sexagesimal labels

### dumpLines

public void dumpLines()
Display the lines

### getLabels

public String[] getLabels()
Get the labels for the lines

### getLines

public double[][][] getLines()
Get the line points